aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDanilo M. <danix@danix.xyz>2026-05-08 09:24:29 +0200
committerDanilo M. <danix@danix.xyz>2026-05-08 09:24:29 +0200
commit260c5a846515d2bf91b0401c5b0c798804ba0791 (patch)
tree46e124f6db8240d76d868adea4f6ce0081953882
parent38a4da01372b0958cd81948f71f6740ba9bac2fe (diff)
downloadmy-slackbuilds-260c5a846515d2bf91b0401c5b0c798804ba0791.tar.gz
my-slackbuilds-260c5a846515d2bf91b0401c5b0c798804ba0791.zip
Added: Signal Desktopmain
-rw-r--r--.extras/nvchecker.toml6
-rw-r--r--README.md1
-rw-r--r--signal-desktop/README9
-rw-r--r--signal-desktop/doinst.sh9
-rw-r--r--signal-desktop/signal-desktop.SlackBuild90
-rw-r--r--signal-desktop/signal-desktop.info10
-rw-r--r--signal-desktop/slack-desc19
7 files changed, 144 insertions, 0 deletions
diff --git a/.extras/nvchecker.toml b/.extras/nvchecker.toml
index 44dc3b4..5695665 100644
--- a/.extras/nvchecker.toml
+++ b/.extras/nvchecker.toml
@@ -46,3 +46,9 @@ use_latest_release = true
source = "httpheader"
url = "https://discord.com/api/download?platform=linux&format=tar.gz"
regex = "discord-(.*)\\.tar.*"
+
+[Signal]
+source = "github"
+github = "signalapp/Signal-Desktop"
+use_latest_release = true
+
diff --git a/README.md b/README.md
index 7d05d7f..f260322 100644
--- a/README.md
+++ b/README.md
@@ -33,6 +33,7 @@ Each package lives in its own top-level subfolder:
|---------|----------|------|-----|---------|--------|
| hstr | ✅ | not tested | [hstr](https://slackbuilds.org/repository/15.0/system/hstr/) | 3.2 | 3.2 |
| discord | ✅ | not tested | [discord](https://slackbuilds.org/repository/15.0/network/discord/) | 1.0.137 | 0.0.135 |
+| signal-desktop | ✅ | not tested | [signal-desktop](https://slackbuilds.org/repository/15.0/network/signal-desktop/) | 8.9.0 | 8.9.0 |
| kitty-bin | ✅ | not tested | ❌ | 0.46.2 | 0.46.2 |
| llama.cpp-vulkan | ✅ | not tested | ❌ | b8989 | b8989 |
| qarma | ✅ | not tested | ❌ | 1.1.1 | 1.1.1 |
diff --git a/signal-desktop/README b/signal-desktop/README
new file mode 100644
index 0000000..cd6c091
--- /dev/null
+++ b/signal-desktop/README
@@ -0,0 +1,9 @@
+signal-desktop (Signal for Desktop)
+
+Signal is an encrypted instant messaging and voice calling application
+for Android, iOS, and the desktop. It uses the Internet to send
+one-to-one and group messages, which can include images and video
+messages, and make one-to-one voice/video calls.
+
+This is a repackaging of the official binary .deb file distributed by
+Open Whipser Systems.
diff --git a/signal-desktop/doinst.sh b/signal-desktop/doinst.sh
new file mode 100644
index 0000000..65c7e2e
--- /dev/null
+++ b/signal-desktop/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/signal-desktop/signal-desktop.SlackBuild b/signal-desktop/signal-desktop.SlackBuild
new file mode 100644
index 0000000..007f23e
--- /dev/null
+++ b/signal-desktop/signal-desktop.SlackBuild
@@ -0,0 +1,90 @@
+#!/bin/bash
+
+# Slackware build script for signal-desktop
+
+# Copyright 2018 David O'Shaughnessy
+# Copyright 2022-2026 Gregory J. L. Tourte <artourter@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=signal-desktop
+VERSION=${VERSION:-8.9.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+# Upstream only has binary support for x86_64 at present.
+if [ "$ARCH" = "x86_64" ]; then
+ DEBARCH="amd64"
+else
+ echo "Sorry, the Signal binary is currently available for x86_64 only."
+ exit 1
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $PKG
+ar p $CWD/${PRGNAM}_${VERSION}_$DEBARCH.deb data.tar.xz | tar xJv
+chown -R root:root .
+find -L . \
+ -perm /111 -a \! -perm 755 -a -exec chmod 755 {} + -o \
+ \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} +
+
+# create soft link for launcher
+mkdir -p $PKG/usr/bin
+ln -sf ../../opt/Signal/$PRGNAM $PKG/usr/bin/$PRGNAM
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp $PKG/usr/share/doc/$PRGNAM/* $PKG/opt/Signal/LICENSE* $PKG/usr/doc/$PRGNAM-$VERSION
+rm -rf $PKG/usr/share/doc
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/signal-desktop/signal-desktop.info b/signal-desktop/signal-desktop.info
new file mode 100644
index 0000000..2360196
--- /dev/null
+++ b/signal-desktop/signal-desktop.info
@@ -0,0 +1,10 @@
+PRGNAM="signal-desktop"
+VERSION="8.9.0"
+HOMEPAGE="https://signal.org/"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://updates.signal.org/desktop/apt/pool/s/signal-desktop/signal-desktop_8.9.0_amd64.deb"
+MD5SUM_x86_64="ca008c36d6412654af5d32dd9214b28c"
+REQUIRES=""
+MAINTAINER="ArTourter"
+EMAIL="artourter@gmail.com"
diff --git a/signal-desktop/slack-desc b/signal-desktop/slack-desc
new file mode 100644
index 0000000..6e7b6d6
--- /dev/null
+++ b/signal-desktop/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+signal-desktop: signal-desktop (Signal for Desktop)
+signal-desktop:
+signal-desktop: Signal is an encrypted instant messaging and voice calling
+signal-desktop: application for Android, iOS, and the desktop. It uses the Internet
+signal-desktop: to send one-to-one and group messages, which can include images
+signal-desktop: and video messages, and make one-to-one voice/video calls.
+signal-desktop:
+signal-desktop: This is a repackaging of the official binary .deb file
+signal-desktop: distributed by Open Whipser Systems.
+signal-desktop:
+signal-desktop: